역할
역할 할당 목록
계정 역할 할당 나열
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
role-assignments
계정 역할 할당 나열
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"expanded_capability_keys": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>",
"subject_id": "<string>",
"subject_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
경로 매개변수
쿼리 매개변수
권한 주체 유형입니다.
사용 가능한 옵션:
user, group, service_account 안정적이고 재사용 가능한 역할 식별자.
사용 가능한 옵션:
viewer, editor, domain_manager, manager, dns_manager, ip_manager, billing_viewer, billing_admin, credential_manager 이 페이지가 도움이 되었나요?
⌘I
계정 역할 할당 나열
